Packages - Freedom Issue #3399

Housekeeping # 3018 (open): Various uninstallable packages should be fixed, dropped, or blacklisted.
[gnoduino] Upstream has discontinued the project and it has no license
2022-12-20 06:27 AM - wael

Status: confirmed % Done: 0%
Priority: freedom issue

Assignee:

Category:

Description

The upstream project is discontinued and it has to proper license attached to it.
https://gitlab.gnome.org/Archive/gnoduino

History

#1 - 2022-12-23 08:05 PM - bill-auger

the licensing may be fine - the files under src/ have GPL2-or-later headers - the PKGBUILD would never install the upstream GPL license file
anyways

there are some firmware blobs in it though - i did not look too closely - the sources may be nearby

#2 - 2022-12-23 08:10 PM - bill-auger

- Parent task set to #3018

'gnoduino’ has one other strike against it - it is impossible to install since 'pygtksourceview?2' is gone (#3018)

is there a replacement for this tool, something better perhaps? - eg: this is a GNOME project - perhaps it is deprecated because gnome-builder has
absorbed it's functionality

#3 - 2022-12-25 04:11 PM - wael

| don't think anything came to replace it, even if you can somewhat use geany to replicate some of the functionality thereof.

#4 - 2022-12-25 04:27 PM - bill-auger

just trying to gauge the desirability factor of the desirability/work-load ratio for the parent ticket (should python2/GTK2 be re-instated, or should a few
highly-desirable python2 clients be forked and adapted to python3)

you noticed this one wael - do you use it?

#5 - 2024-02-13 07:38 PM - wael

| stumbled upon this again, over a year later, probably should be removed.
